## org.apache.axis.ime.internal.util.handler
Class HandlerMessageExchange.Listener

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.util.handler.HandlerMessageExchange.Listener

All Implemented Interfaces:
  MessageExchangeEventListener, java.io.Serializable

Enclosing class:
  HandlerMessageExchange

public class HandlerMessageExchange.Listener
extends java.lang.Object
implements MessageExchangeEventListener

See Also:
  Serialized Form

Constructor Summary
`HandlerMessageExchange.Listener(Handler handler)`

Method Summary
`void` `onEvent(MessageExchangeEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerMessageExchange.Listener

    public HandlerMessageExchange.Listener(Handler handler)

Method Detail

### onEvent

    public void onEvent(MessageExchangeEvent event)

  Specified by:
    `onEvent` in interface `MessageExchangeEventListener`
  See Also:
    `org.apache.axis.ime.MessageExchangeContextListener#onMessageExchangeContext(MessageExchangeContext)`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.